# Redisplaying restart files for "tricking" NEMO into starting from a custom restart

At initialization, NEMO either starts from:

  - rest, with temperatures and salinities taken from `namtsd` in `namelist_cfg`, and ice fields potentially initialized in `namelist_ice_cfg`:
  
  - a full restart file, which is a snapshot of a run's RAM at a given time. NEMO restarts are specific to the domain decomposition of your setting: configuration, number of cores, potential use of "land suppression" (check `nammpp` in NEMO namelist).

Hence, for starting NEMO from a "custom" restart file (e.g. spin up), you'll need to redistribute the restart according to the domain decomposition you want to run with. This is what this tool does. It requires:

  - A set of processor-specific NEMO restart files defined with a certain domain decomposition, that you'll want to run at (2*n_proc, n_proc for oce and n_proc for ice). You can get this by doing a dummy run with the number of processors you'll eventually want.
  
  - A pair of rebuilt (processor-wise) NEMO restart files, which you'll want to get the actual restart data from. Check the `REBUILD_NEMO` tool for rebuilding NEMO outputs.

# Step 1: on the ELIC servers

Prepare the restart files with the help `redisplay_restart.py` (the code is commented), and the ingredients above. Upload the resulting restart file sets to the cluster you want to run on.


# Step 2: on the cluster where NEMO is running

  
In `experiment.cfg`, set:

```
    special_rs_nemo=true
    special_rs_nemo_stencil="<path_to_restart_files>"
```
Coral expects restart files to be named `<path_to_restart_files><oce,ice>_XXXX.nc`, where `XXXX` are the 4 digits distinguishing processor numbers.

In `build_namelist.cfg.sh`, set `ln_rstart = .TRUE.`, and `nn_rstctl = 0`.
  
Build and submit.
	  


